# Lqs

TUI database client app.

## Idea

To have TUI client for DB viewer and editor. Should be possibilities to add many sources.
Will start with mysql, later should be added more engines


# Plan

### Milestone 1

- [ ] connect to DB hardcoded
- [ ] embedded neovim for editing
- [ ] query window
- [ ] result window
- [ ] navigate in result window
- [ ] copy value in result window
- [ ] edit value in result window

### Milestone 2

- [ ] status bar for some info
- [ ] result window as tabs
- [ ] left/right navigation tabs in result window
- [ ] sort in result window
- [ ] filter in result window
- [ ] next/prev chunk of data
- [ ] change limit
- [ ] insert new row in result window

### Milestone 3

- [ ] fzf switch result window tab
- [ ] fzf open table to result tab
- [ ] view table structure
- [ ] show key, nullable in result window
- [ ] edit table structure
- [ ] drop table

### Milestone 4 

- [ ] new DB connection
- [ ] DB connection selector
- [ ] preview result field in popup 
- [ ] format preview popup in json
- [ ] format preview popup in serialized

### Milestone 5 

- [ ] icons
- [ ] themes
- [ ] sqlite driver
- [ ] postgresql driver

### Milestone 6 

- [ ] open csv file
